<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@android:color/transparent"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="@dimen/dp_272"
        android:layout_height="wrap_content"
        android:background="@drawable/bg_white_10dp">



        <ImageView
            android:id="@+id/iv_bg"
            android:layout_width="227dp"
            android:layout_height="187dp"
            android:layout_gravity="center"
            android:layout_marginStart="@dimen/dp_21"
            android:layout_marginTop="@dimen/dp_21"
            android:layout_marginEnd="@dimen/dp_21"
            android:background="@mipmap/ic_custom_download_failed_bg"
            android:padding="@dimen/dp_18"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_hint"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/dp_15"
            android:text="下载失败，请重新下载"
            android:textColor="@color/gray_ff80"

            android:textSize="@dimen/dp_15"
            app:layout_constraintBottom_toBottomOf="@id/iv_bg"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <TextView
            android:id="@id/versionchecklib_failed_dialog_retry"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_42"
            android:layout_marginStart="@dimen/dp_24"
            android:layout_marginTop="@dimen/dp_29"
            android:layout_marginEnd="@dimen/dp_24"
            android:layout_marginBottom="@dimen/dp_16"
            android:background="@drawable/shape_2dc7aa_39dp"
            android:gravity="center"
            android:text="重新下载"
            android:textColor="@color/white"
            android:textSize="@dimen/dp_16"
            android:textStyle="bold"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_hint" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</LinearLayout>